Bug 216160 - dx with Lesstif tab widget - broken fonts, disappearing tabs, file widget broken
dx with Lesstif tab widget - broken fonts, disappearing tabs, file widget broken
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dx (Show other bugs)
13
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
http://www.opendx.net
bzcl34nup
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-17 10:58 EST by Simon Clift
Modified: 2011-06-27 09:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 09:54:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Picture of the tabs almost disappearing. (51.59 KB, image/png)
2006-11-17 10:58 EST, Simon Clift
no flags Details
File selector widget with fonts messed up. (6.89 KB, image/png)
2006-11-17 10:59 EST, Simon Clift
no flags Details

  None (edit)
Description Simon Clift 2006-11-17 10:58:35 EST
Description of problem:

Fundamentally, the problem is the removal of OpenMotif from Fedora Core.  Come
on guys, it's not as sexy as the latest Qt but it is very stable and still
widely used in industry because of that!

Version-Release number of selected component (if applicable):

dx-4.4.4-2.fc6

How reproducible:

Load a visual program with multiple tabbed pages.  Enlarge the Visual Program
window to near full screen, then change sizes.  Sometimes tabs become a few
pixels thick, sometimes labels are shifted off the top, sometimes they are
blank.  Seems to be size dependent.

The fonts on the file widget are broken.

Double-clicking on the directory name no longer changes directories.

These are almost certainly Lesstif bugs.

I can reproduce the tab bug by loading the program

/usr/share/dx/samples/programs/ComputeOnData.net

from the dx-samples package.

Expected results:

Tabs stay consistently sized and labelled.  File widget consistently changes
directories and fonts are reasonable.

Additional info:

Please put OpenMotif back into Extras and recompile DX against that program.  DX
as it is currently compiled is broken.
Comment 1 Simon Clift 2006-11-17 10:58:35 EST
Created attachment 141487 [details]
Picture of the tabs almost disappearing.
Comment 2 Simon Clift 2006-11-17 10:59:47 EST
Created attachment 141488 [details]
File selector widget with fonts messed up.
Comment 3 Dominik 'Rathann' Mierzejewski 2006-11-17 11:06:20 EST
Fundamentally, it's a problem with non-free license of OpenMotif, which is the
reason it cannot go back into Extras. I'll try to verify this bug soon and
contact both dx and lesstif developers to see what can be done to fix this.
Comment 4 Dominik 'Rathann' Mierzejewski 2006-11-17 11:09:25 EST
(In reply to comment #2)
> Created an attachment (id=141488) [edit]
> File selector widget with fonts messed up.
> 

What is messed up in this one? Looks perfectly fine to me...
Comment 5 Simon Clift 2006-11-17 11:26:35 EST
File selection has the fine-point in the selector, bold in the main window.  All
used to be the same font.  Also the double-click on the directory to change it
is unreliable.
Comment 6 Dominik 'Rathann' Mierzejewski 2006-11-18 14:25:04 EST
(In reply to comment #0)
[...]
> Load a visual program with multiple tabbed pages.  Enlarge the Visual Program
> window to near full screen, then change sizes.  Sometimes tabs become a few
> pixels thick, sometimes labels are shifted off the top, sometimes they are
> blank.  Seems to be size dependent.

Could you elaborate on how to get multiple tabs? Opening the file you mention
via Edit Visual Programs yields only one tab.

> The fonts on the file widget are broken.

I wouldn't call that broken. I think it may be on purpose, but anyway I wouldn't
call it a bug. Fonts look nice and readable. Does it happen with other motif apps?

> Double-clicking on the directory name no longer changes directories.

Works fine here.
Comment 7 Simon Clift 2006-11-18 14:35:33 EST
(In reply to comment #6)
>  Opening the file you mention via Edit Visual Programs yields only one tab.

I suppose I said multiple tabs since I've not used DX with a single page program
for a while.  The example breaks for me with the single tab at the top: after
doing a couple of resizes I see a problem.

To create multiple tabs start at the Visual Program Editor menu bar, select
Edit->Page->Create Empty Page.

> I wouldn't call that broken. 

I would because Motif itself has its main market share in things like
professional and process control applications.  Fonts and appearance matter
since the environments tend to be rigidly controlled.  Not getting the font one
should is, IMHO, broken.

> Does it happen with other motif apps?

Not that I've seen.  I use DDD but that appears to be OK.

> Works fine here. 

It fails intermittently for me.  Perhaps that's related to font scalings and
correctly identifying the location of the click on the displayed list.
Comment 8 Dominik 'Rathann' Mierzejewski 2006-11-18 17:06:55 EST
Ok, managed to open a couple of tabs, but they behave consistently and do not
change their size when resizing the window. I did, however, experience a freeze
of the VPE window and had to kill the whole application.
Comment 9 Dominik 'Rathann' Mierzejewski 2006-11-19 16:12:32 EST
Sent mail upstream, awaiting response.
Comment 10 Simon Clift 2006-11-20 07:55:53 EST
Thank you.  I'll cast my vote one more time to see Motif back in Fedora
somewhere, I've asked for its inclusion at Livna.
Comment 11 Dominik 'Rathann' Mierzejewski 2006-11-20 09:33:19 EST
That won't help this problem, since OpenDX is in Extras and cannot depend on
packages from other repositories. And LessTif is not binary-compatible with
OpenMotif AFAIK, so just installing openmotif over lesstif will break things.
Comment 12 Patrice Dumas 2007-10-27 16:58:15 EDT
Is this bug still present? Hans did a lot of bugfixing in lesstif.
Comment 13 Dominik 'Rathann' Mierzejewski 2007-10-28 06:40:43 EDT
The behaviour I described in comment #8 still happens on F-7/x86_64.
$ rpm -q dx lesstif
dx-4.4.4-3.fc7
lesstif-0.95.0-20.fc7

I never got any replies from OpenDX developers.
Comment 14 Bug Zapper 2008-04-04 00:45:20 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 15 Dominik 'Rathann' Mierzejewski 2008-04-04 14:16:01 EDT
As I said in comment #13, this still happens on F-7, so I'm bumping the release
to 7 to avoid dropping this issue. I can't fix it myself, though.
Comment 16 Bug Zapper 2008-05-14 08:05:03 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Patrice Dumas 2008-05-14 10:24:57 EDT
There is no erason why this should have been fixed, so setting to
rawhide.
Comment 18 Bug Zapper 2008-11-25 20:51:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Joachim Frieben 2009-08-03 09:38:34 EDT
$ rpm -q dx lesstif
dx-4.4.4-10.fc12.x86_64
lesstif-0.95.2-1.fc12.x86_64

- As of current "rawhide", it seems to be possible at least to change
  directories successfully by double-clicking in the file selector widget.
- Tabs are still distorted as shown in comment #2.
- Entries in the file selector are partially bold; this is not the case
  for 'ddd' though. Looks like bad internal defaults of 'dx'.
Comment 20 Bug Zapper 2009-11-18 03:09:16 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Dominik 'Rathann' Mierzejewski 2009-12-01 11:56:30 EST
Still not fixed, bumping to rawhide. Upstream is non-responsive, so if anyone has a patch I can try, they are very welcome to attach it or send it to me.
Comment 22 Joachim Frieben 2009-12-01 12:06:20 EST
Lesstif is dead. The only valid solution that I see at the moment is to move package 'dx' to rpmfusion and to build it there against Open Motif (2.3.2). With the official Motif implementation, none of the various issues reported in the Red Hat Bugzilla are present. I have locally compiled all Motif applications on my system against openmotif-2.3.2-1.fc12.x86_64 rebuilt from the RHEL5 source package, and life is much happier now :o)
Comment 23 Bug Zapper 2010-03-15 07:51:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 Joachim Frieben 2011-03-04 09:32:21 EST
(In reply to comment #5)
In the case of Open Motif 2.3.2 without any personal customization of Motif resources, the file selection box is using bold fonts everywhere. Lesstif 0.95.2 behaves exactly the same in this respect. I suppose your font resources are not complete because in both cases, my Motif resource settings enforce normal (non-bold) fonts in the file selection box.
Switching directories by double-clicking is still flaky as of lesstif-0.95.2-1.fc12. Moreover, tabs in the VPE still get cropped as shown in screen shot https://bugzilla.redhat.com/attachment.cgi?id=141487 whereas they exhibit normal height allowing for readable labels when using Motif.
Comment 25 Bug Zapper 2011-06-02 14:42:17 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 26 Bug Zapper 2011-06-27 09:54:25 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.